NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Mfg.AM.Nester3D Class Reference

Interface for AM Nesting Dialog Builder More...

Inheritance diagram for NXOpen.Mfg.AM.Nester3D:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  Constraint {
  Free, FixedZDirection, FixedBottomPlane, Rotate180,
  FixedBottomAndXY, FixedRotation, Fixed
}
 Interface for AM Nesting Dialog Builder More...
 
enum  Solution { OptimizeHeight, DistributeHeight, OptimizeSliceVolume, OptimizeHeightAndSliceVolume }
 Interface for AM Nesting Dialog Builder More...
 

Public Member Functions

unsafe NXOpen.Mfg.AM.NestingStatus ExecuteNesting ()
 Execute the Nesting More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe double Accuracy [get, set]
 Returns or sets the accuracy More...
 
unsafe
NXOpen.Mfg.AM.Nester3D.Constraint 
ConstraintType [get, set]
 Returns or sets the constraints More...
 
unsafe
NXOpen.Mfg.AM.Nester3D.Solution 
SolutionType [get, set]
 Returns or sets the solution type More...
 
unsafe double Spacing [get, set]
 Returns or sets the spacing between parts More...
 
unsafe int StopAfter [get, set]
 Returns or sets the stop after More...
 
unsafe bool ViewProgress [get, set]
 Returns or sets the view progress More...
 

Detailed Description

Interface for AM Nesting Dialog Builder

To create a new instance of this class, use NXOpen.Mfg.AM.ApplicationManager.Get3DNester

Default values.

Property Value

Accuracy

2.5

ConstraintType

Free

SolutionType

OptimizeHeight

StopAfter

2

ViewProgress

1

Created in NX11.0.1

Member Enumeration Documentation

Interface for AM Nesting Dialog Builder

Enumerator
Free 
FixedZDirection 
FixedBottomPlane 
Rotate180 
FixedBottomAndXY 
FixedRotation 
Fixed 

Interface for AM Nesting Dialog Builder

Enumerator
OptimizeHeight 
DistributeHeight 
OptimizeSliceVolume 
OptimizeHeightAndSliceVolume 

Member Function Documentation

unsafe NXOpen.Mfg.AM.NestingStatus NXOpen.Mfg.AM.Nester3D.ExecuteNesting ( )

Execute the Nesting

Created in NX11.0.2

License requirements: am_pb_mtls_nest_3d_2 ("Advanced NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("Basic NX Powder Bed Additive 3D Nesting")

Returns
Nesting Status

Property Documentation

unsafe double NXOpen.Mfg.AM.Nester3D.Accuracy
getset

Returns or sets the accuracy

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("Advanced NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("Basic NX Powder Bed Additive 3D Nesting")

unsafe NXOpen.Mfg.AM.Nester3D.Constraint NXOpen.Mfg.AM.Nester3D.ConstraintType
getset

Returns or sets the constraints

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("Advanced NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("Basic NX Powder Bed Additive 3D Nesting")

unsafe NXOpen.Mfg.AM.Nester3D.Solution NXOpen.Mfg.AM.Nester3D.SolutionType
getset

Returns or sets the solution type

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("Advanced NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("Basic NX Powder Bed Additive 3D Nesting")

unsafe double NXOpen.Mfg.AM.Nester3D.Spacing
getset

Returns or sets the spacing between parts

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("Advanced NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("Basic NX Powder Bed Additive 3D Nesting")

unsafe int NXOpen.Mfg.AM.Nester3D.StopAfter
getset

Returns or sets the stop after

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("Advanced NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("Basic NX Powder Bed Additive 3D Nesting")

unsafe bool NXOpen.Mfg.AM.Nester3D.ViewProgress
getset

Returns or sets the view progress

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_nest_3d_2 ("Advanced NX Powder Bed Additive 3D Nesting") OR am_pb_mtls_nest_3d_1 ("Basic NX Powder Bed Additive 3D Nesting")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.